Переполнение буфера в xine-lib

Дата публикации:
15.03.2007
Дата изменения:
10.04.2009
Всего просмотров:
931
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-1246
CVE-2007-1387
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
xine-lib 1.x
Уязвимые версии: xine-lib, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "DMO_VideoDecoder_Open()" в файле src/libw32dll/dmo/DMO_VideoDecoder.c и в функции "DS_VideoDecoder_Open()" в файле src/libw32dll/DirectShow/DS_VideoDecoder.c. Удаленный пользователь может с помощью специально сформированного медиа файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: xinehq.de

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
10.04.2009
Изменена секция "Решение"

или введите имя

CAPTCHA